#pragma once

#include "CoreMinimal.h"
#include "TriggerableWorldObjectComponent.h"
#include "Templates/SubclassOf.h"
#include "DBDTunableRowHandle.h"
#include "CrowTriggerComponent.generated.h"

class ABubbleIndicator;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class DBDGAMEPLAY_API UCrowTriggerComponent : public UTriggerableWorldObjectComponent
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSubclassOf<ABubbleIndicator> _bubbleIndicatorBP;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle _takeoffSpeedThreshold;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _bubbleIndicatorLifetime;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _numberOfCrows;

public:
	UCrowTriggerComponent();
};

FORCEINLINE uint32 GetTypeHash(const UCrowTriggerComponent) { return 0; }
